Flecs: Logging
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Functions
Logging
C++ API » Addons

Logging functions. More...

Collaboration diagram for Logging:

## Functions
void | flecs::log::set_level (int level)
| Set log level.
int | flecs::log::get_level ()
void | flecs::log::enable_colors (bool enabled=true)
| Enable colors in logging.
void | flecs::log::enable_timestamp (bool enabled=true)
| Enable timestamps in logging.
void | flecs::log::enable_timedelta (bool enabled=true)
| Enable time delta in logging.
void | flecs::log::dbg (const char *fmt,...)
| Debug trace (level 1)
void | flecs::log::trace (const char *fmt,...)
| Trace (level 0)
void | flecs::log::warn (const char *fmt,...)
| Trace (level -2)
void | flecs::log::err (const char *fmt,...)
| Trace (level -3)
void | flecs::log::push (const char *fmt,...)
| Increase log indentation.
void | flecs::log::push ()
| Increase log indentation.
void | flecs::log::pop ()
| Increase log indentation.

## Detailed Description

Logging functions.

## Function Documentation

## ◆ dbg()

void flecs::log::dbg | ( | const char * | fmt,
|  |  | ... )
| inline

Debug trace (level 1)

Definition at line 44 of file log.hpp.

## ◆ enable_colors()

void flecs::log::enable_colors | ( | bool | enabled = true | ) |
| inline

Enable colors in logging.

Definition at line 29 of file log.hpp.

## ◆ enable_timedelta()

void flecs::log::enable_timedelta | ( | bool | enabled = true | ) |
| inline

Enable time delta in logging.

Definition at line 39 of file log.hpp.

## ◆ enable_timestamp()

void flecs::log::enable_timestamp | ( | bool | enabled = true | ) |
| inline

Enable timestamps in logging.

Definition at line 34 of file log.hpp.

## ◆ err()

void flecs::log::err | ( | const char * | fmt,
|  |  | ... )
| inline

Trace (level -3)

Definition at line 68 of file log.hpp.

## ◆ get_level()

int flecs::log::get_level | ( |  | ) |
| inline

Definition at line 24 of file log.hpp.

## ◆ pop()

void flecs::log::pop | ( |  | ) |
| inline

Increase log indentation.

Definition at line 90 of file log.hpp.

## ◆ push() [1/2]

void flecs::log::push | ( |  | ) |
| inline

Increase log indentation.

Definition at line 85 of file log.hpp.

## ◆ push() [2/2]

void flecs::log::push | ( | const char * | fmt,
|  |  | ... )
| inline

Increase log indentation.

Definition at line 76 of file log.hpp.

## ◆ set_level()

void flecs::log::set_level | ( | int | level | ) |
| inline

Set log level.

Definition at line 20 of file log.hpp.

## ◆ trace()

void flecs::log::trace | ( | const char * | fmt,
|  |  | ... )
| inline

Trace (level 0)

Definition at line 52 of file log.hpp.

## ◆ warn()

void flecs::log::warn | ( | const char * | fmt,
|  |  | ... )
| inline

Trace (level -2)

Definition at line 60 of file log.hpp.